package com.bocloud.ims.entity.resource;

import com.bocloud.entity.annotations.Column;
import com.bocloud.entity.annotations.PK;
import com.bocloud.entity.annotations.Table;
import com.bocloud.entity.bean.Generic;
import com.bocloud.entity.meta.PKStrategy;

/**
 * 路由与子网之间的关系表
 * 
 * @author weiwei
 *
 */
@Table("router_subnet")
public class RouterSubnet extends Generic {
	@PK(value = PKStrategy.AUTO)
	private Long id;
	@Column("router_id")
	private Long routerId;
	@Column("subnet_id")
	private Long subnetId;
	@Column("vendor_id")
	private Long vendorId;

	@Column("region_id")
	private String regionId;

	/**
	 * @return the id
	 */
	public Long getId() {
		return id;
	}

	/**
	 * @param id
	 *            the id to set
	 */
	public void setId(Long id) {
		this.id = id;
	}

	/**
	 * @return the routerId
	 */
	public Long getRouterId() {
		return routerId;
	}

	/**
	 * @param routerId
	 *            the routerId to set
	 */
	public void setRouterId(Long routerId) {
		this.routerId = routerId;
	}

	/**
	 * @return the subnetId
	 */
	public Long getSubnetId() {
		return subnetId;
	}

	/**
	 * @param subnetId
	 *            the subnetId to set
	 */
	public void setSubnetId(Long subnetId) {
		this.subnetId = subnetId;
	}

	/**
	 * @return the vendorId
	 */
	public Long getVendorId() {
		return vendorId;
	}

	/**
	 * @param vendorId
	 *            the vendorId to set
	 */
	public void setVendorId(Long vendorId) {
		this.vendorId = vendorId;
	}

	public RouterSubnet() {
		super();
	}

	public RouterSubnet(Long routerId, Long subnetId, Long vendorId) {
		super();
		this.routerId = routerId;
		this.subnetId = subnetId;
		this.vendorId = vendorId;
	}

	public String getRegionId() {
		return regionId;
	}

	public void setRegionId(String regionId) {
		this.regionId = regionId;
	}

}
